Bug 1206553 - Data Tiering:Need to allow detaching of cold tier too
Summary: Data Tiering:Need to allow detaching of cold tier too
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: GlusterFS
Classification: Community
Component: tiering
Version: mainline
Hardware: Unspecified
OS: Linux
high
high
Target Milestone: ---
Assignee: Joseph Elwin Fernandes
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1260923
TreeView+ depends on / blocked
 
Reported: 2015-03-27 12:09 UTC by Nag Pavan Chilakam
Modified: 2016-06-20 00:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-30 15:09:56 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Nag Pavan Chilakam 2015-03-27 12:09:59 UTC
Description of problem:
======================
Currently detach-tier command directly detaches the hot tier(infact the tier which is attached later).
But there may be scenarios where the customer wants to detach cold-tier.
Say for example they want to replace the old disks in cold tier.



Version-Release number of selected component (if applicable):
============================================================
3.7 upstream nightlies build http://download.gluster.org/pub/gluster/glusterfs/nightly/glusterfs/epel-6-x86_64/glusterfs-3.7dev-0.803.gitf64666f.autobuild/

glusterfs 3.7dev built on Mar 26 2015 01:04:24


How reproducible:
===============
easily

Steps to Reproduce:
==================
1.create a gluster volume of type distribute
2.attach a tier to the volume using attach-tier. 
3. Now check the volume type. It would show as a tiered volume.
4. Now issue a detach-tier will just detach the tier previously attached.
 User can't choose if he/she wants to attach or detach a cold/hot tier



Expected results:
================
Leave it to the user to choose if they want to detach cold or hot tier.

Comment 1 Sayan Saha 2015-03-30 15:09:56 UTC
Detaching the cold tier is not a requirement for this feature. Users have other means to change old disks or do a maintenance on volumes.


Note You need to log in before you can comment on or make changes to this bug.